Bug 15329 - Show budget in addition to fund for late orders in acquisition
Summary: Show budget in addition to fund for late orders in acquisition
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 18050
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 13:57 UTC by Katrin Fischer
Modified: 2021-06-14 21:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Adds a new column with the budget name to the late orders table in acquisitions. This will be helpful in combination with the already displayed fund.
Version(s) released in:
20.11.00


Attachments
Bug 15329: Add new column for budget to the late orders table (4.14 KB, patch)
2020-09-14 23:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15329: Add new column for budget to the late orders table (4.17 KB, patch)
2020-09-16 15:13 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 15329: Add new column for budget to the late orders table (4.26 KB, patch)
2020-10-15 14:06 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-12-08 13:57:08 UTC
The late orders table in acquisitions shows the fund for an order line, but not the budget. It would be nice if both would be shown.
Comment 1 Katrin Fischer 2017-01-04 09:34:32 UTC
Still valid.
Comment 2 Katrin Fischer 2019-04-26 13:21:53 UTC
Still valid.
Comment 3 Katrin Fischer 2020-09-14 23:19:23 UTC
Created attachment 110081 [details] [review]
Bug 15329: Add new column for budget to the late orders table

The table currently displays the fund, but as late orders can be
from a past budget with the same fund names, this can be confusing.
So adding the budget in addition to the fund will be helpful.

To test:
- Add a basket and an order, close the basket
- Go to the late oder page
- Make sure your order shows up there
- Apply the patch
- Reload the late orders page
- Verify a new column budget shows in the table
- Verify the table configuration settings work for the new column
- Run t/db_dependent/Koha/Acquisition/Fund.t
Comment 4 Martin Renvoize 2020-09-16 15:13:47 UTC
Created attachment 110214 [details] [review]
Bug 15329: Add new column for budget to the late orders table

The table currently displays the fund, but as late orders can be
from a past budget with the same fund names, this can be confusing.
So adding the budget in addition to the fund will be helpful.

To test:
- Add a basket and an order, close the basket
- Go to the late oder page
- Make sure your order shows up there
- Apply the patch
- Reload the late orders page
- Verify a new column budget shows in the table
- Verify the table configuration settings work for the new column
- Run t/db_dependent/Koha/Acquisition/Fund.t

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-09-16 15:14:25 UTC
Nice enhancement long overdue.

Works well as tested, Signing off.
Comment 6 Katrin Fischer 2020-10-14 19:55:05 UTC
I am sending this back to the sign-off queue to widen the circle of possible testers. It's small, it's fun, please test!
Comment 7 Nick Clemens 2020-10-15 14:06:03 UTC
Created attachment 111747 [details] [review]
Bug 15329: Add new column for budget to the late orders table

The table currently displays the fund, but as late orders can be
from a past budget with the same fund names, this can be confusing.
So adding the budget in addition to the fund will be helpful.

To test:
- Add a basket and an order, close the basket
- Go to the late oder page
- Make sure your order shows up there
- Apply the patch
- Reload the late orders page
- Verify a new column budget shows in the table
- Verify the table configuration settings work for the new column
- Run t/db_dependent/Koha/Acquisition/Fund.t

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Jonathan Druart 2020-11-04 12:02:19 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-11-16 21:25:59 UTC
enhancement will not be backported to 20.05.x